/* pcl.h */

/* ADVANTECH Co,Ltd  20/8/2000 */

/* Author SunZunGun */

/* ADVANTECH ISA ICOM CARD */
/*-----------------------------------------------
NO	 CARD	PORT	UART	I/O_NO	IRQ_NO
1	740	1	550a	1	1	
2	741	2	550a	2	2
3	743/745	2	550a	2	2
4 	846/847	4	550a	1	1/4 (S/E
5	746+	4	550a	4	1/4 (S/E)
6	849	4	654	1	1/4 (S/E)
7	858	8	654	1	1
-----------------------------------------------*/ 	

/*-------------------------------------------------------------
		   
		    Wellcome
		      |	
		Input card name
		Input card number
		Input tty begin NO
		      |		<------------------\
		 Card Number -	--0---->exit	   |	
		      |				   |	
		846 746 849 --y-- Mode Select ^_|  |	
		I/O Number - -----0-----\	   |
		 Input I/O		|	   |	
		    |	     <----------/	   |	
		  IRQ -	     -----0-----\ 	   |	
		Input IRQ		|	   |	
		    |  	     <----------/	   |		
	        Generate Scrip                     |	
		    |------------------------------/
				
----------------------------------------------------------------*/


enum PCLCARD
{
  PCL740 = 1,
  PCL741,
  PCL734,
  PCL846,
  PCL746,
  PCL849,
  PCL858
};

char PCLPORTS[] = { 1, 2, 2, 4, 4, 4, 8 };

char *PCLNAME[] = { "PCL-740", "PCL-741", "PCL-743/745", "PCL-846/847",
  "PCL-746+", "PCL-849", "PCL-858"
};

char *PCLUART[] =
  { "16550A", "16550A" ,"16550A", "16550A" ,"16550A", "16654" ,"16654" };

int PCLIO[] = { 1, 2, 3, 1, 4, 1, 1 };

int PCLIRQS[] = { 1, 2, 2, 1, 1, 1, 1 };	/*standand mode */ 
int PCLIRQE[] = { 1, 2, 2, 4, 4, 4, 1 };        /*enhanced mode */
int
atonum (char *s)
{
  int n;
  int ns;
  char *k;
  while (*s == ' ')
    s++;

  if (strncmp (s, "0x", 2) == 0 || strncmp (s, "0X", 2) == 0)
    sscanf (s + 2, "%x", &n);
  else
    sscanf (s, "%d", &n);
  return n;
}
